diff --git a/Documentation/deploy b/Documentation/deploy
new file mode 100755
index 0000000000000000000000000000000000000000..2c85442bc73dadd201777ba8f878105839857f0d
--- /dev/null
+++ b/Documentation/deploy
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+OUTPUTDIR=./html
+SSH_USER=tnl-doc
+SSH_HOST=mmg-gitlab.fjfi.cvut.cz
+SSH_PORT=22
+SSH_TARGET_DIR=/srv/http/doc/tnl
+
+set -e
+
+# Run from this directory
+cd ${0%/*}
+
+[[ ! -d "$OUTPUTDIR" ]] && ./build
+
+rsync -e "ssh -p $SSH_PORT" -P -rvzc --cvs-exclude --delete "$OUTPUTDIR/" "$SSH_USER@$SSH_HOST:$SSH_TARGET_DIR"